<template>
    <div>
        <div class="home_adv_con" v-show="advTop.show_switch&&router.currentRoute.value.fullPath=='/'">
            <div class="home_adv" :style="{backgroundImage:'url('+advTop.imgUrl+')'}" @click="navTo">
                <div class="adv1200">
                <div class="close1" @click.stop="advTop.show_switch = false">×</div>
                </div>
            </div>
        </div>
        <slot/>
        <FooterBottom/>
    </div>
</template>


<script setup>
const router = useRouter()
const advTop = ref({})

const getAdv = () => {
  get("v3/system/front/deco/firstAdv",{
          type: 2
        }).then((res) => {
      if (res.state == 200) {
        advTop.value = JSON.parse(res.data.data.replace(/&quot;/g, "\""))
      }
  });
};

getAdv()

</script>
